package com.sinosig.web.module.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 应用实体[交强险特别约定]
 */
public class JQXTBYD implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 特约名称
     */
    private String Tymc;

    @JsonIgnore
    private boolean TymcDirtyFlag;
    /**
     * 建立人
     */
    private String CreateMan;

    @JsonIgnore
    private boolean CreateManDirtyFlag;
    /**
     * 交强险特别约定名称
     */
    private String JQXTBYDName;

    @JsonIgnore
    private boolean JQXTBYDNameDirtyFlag;
    /**
     * 更新人
     */
    private String UpdateMan;

    @JsonIgnore
    private boolean UpdateManDirtyFlag;
    /**
     * 建立时间
     */
    private Timestamp CreateDate;

    @JsonIgnore
    private boolean CreateDateDirtyFlag;
    /**
     * 特约内容
     */
    private String Tynr;

    @JsonIgnore
    private boolean TynrDirtyFlag;
    /**
     * 交强险特别约定标识
     */
    private String JQXTBYDId;

    @JsonIgnore
    private boolean JQXTBYDIdDirtyFlag;
    /**
     * 序号
     */
    private Integer Xh;

    @JsonIgnore
    private boolean XhDirtyFlag;
    /**
     * 更新时间
     */
    private Timestamp UpdateDate;

    @JsonIgnore
    private boolean UpdateDateDirtyFlag;
    /**
     * 特别约定库名称
     */
    private String TBYDKName;

    @JsonIgnore
    private boolean TBYDKNameDirtyFlag;
    /**
     * 特别约定库标识
     */
    private String TBYDKId;

    @JsonIgnore
    private boolean TBYDKIdDirtyFlag;
    /**
     * 车险单标识
     */
    private String CIDId;

    @JsonIgnore
    private boolean CIDIdDirtyFlag;

    /**
     * 获取 [特约名称]
     */
    @JsonProperty("tymc")
    public String getTymc(){
        return Tymc ;
    }

    /**
     * 设置 [特约名称]
     */
    @JsonProperty("tymc")
    public void setTymc(String  tymc){
        this.Tymc = tymc ;
        this.TymcDirtyFlag = true ;
    }

    /**
     * 获取 [特约名称]脏标记
     */
    @JsonIgnore
    public boolean getTymcDirtyFlag(){
        return this.TymcDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.CreateManDirtyFlag ;
    }

    /**
     * 获取 [交强险特别约定名称]
     */
    @JsonProperty("jqxtbydname")
    public String getJQXTBYDName(){
        return JQXTBYDName ;
    }

    /**
     * 设置 [交强险特别约定名称]
     */
    @JsonProperty("jqxtbydname")
    public void setJQXTBYDName(String  jQXTBYDName){
        this.JQXTBYDName = jQXTBYDName ;
        this.JQXTBYDNameDirtyFlag = true ;
    }

    /**
     * 获取 [交强险特别约定名称]脏标记
     */
    @JsonIgnore
    public boolean getJQXTBYDNameDirtyFlag(){
        return this.JQXTBYDNameDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.UpdateManDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.CreateDateDirtyFlag ;
    }

    /**
     * 获取 [特约内容]
     */
    @JsonProperty("tynr")
    public String getTynr(){
        return Tynr ;
    }

    /**
     * 设置 [特约内容]
     */
    @JsonProperty("tynr")
    public void setTynr(String  tynr){
        this.Tynr = tynr ;
        this.TynrDirtyFlag = true ;
    }

    /**
     * 获取 [特约内容]脏标记
     */
    @JsonIgnore
    public boolean getTynrDirtyFlag(){
        return this.TynrDirtyFlag ;
    }

    /**
     * 获取 [交强险特别约定标识]
     */
    @JsonProperty("jqxtbydid")
    public String getJQXTBYDId(){
        return JQXTBYDId ;
    }

    /**
     * 设置 [交强险特别约定标识]
     */
    @JsonProperty("jqxtbydid")
    public void setJQXTBYDId(String  jQXTBYDId){
        this.JQXTBYDId = jQXTBYDId ;
        this.JQXTBYDIdDirtyFlag = true ;
    }

    /**
     * 获取 [交强险特别约定标识]脏标记
     */
    @JsonIgnore
    public boolean getJQXTBYDIdDirtyFlag(){
        return this.JQXTBYDIdDirtyFlag ;
    }

    /**
     * 获取 [序号]
     */
    @JsonProperty("xh")
    public Integer getXh(){
        return Xh ;
    }

    /**
     * 设置 [序号]
     */
    @JsonProperty("xh")
    public void setXh(Integer  xh){
        this.Xh = xh ;
        this.XhDirtyFlag = true ;
    }

    /**
     * 获取 [序号]脏标记
     */
    @JsonIgnore
    public boolean getXhDirtyFlag(){
        return this.XhDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.UpdateDateDirtyFlag ;
    }

    /**
     * 获取 [特别约定库名称]
     */
    @JsonProperty("tbydkname")
    public String getTBYDKName(){
        return TBYDKName ;
    }

    /**
     * 设置 [特别约定库名称]
     */
    @JsonProperty("tbydkname")
    public void setTBYDKName(String  tBYDKName){
        this.TBYDKName = tBYDKName ;
        this.TBYDKNameDirtyFlag = true ;
    }

    /**
     * 获取 [特别约定库名称]脏标记
     */
    @JsonIgnore
    public boolean getTBYDKNameDirtyFlag(){
        return this.TBYDKNameDirtyFlag ;
    }

    /**
     * 获取 [特别约定库标识]
     */
    @JsonProperty("tbydkid")
    public String getTBYDKId(){
        return TBYDKId ;
    }

    /**
     * 设置 [特别约定库标识]
     */
    @JsonProperty("tbydkid")
    public void setTBYDKId(String  tBYDKId){
        this.TBYDKId = tBYDKId ;
        this.TBYDKIdDirtyFlag = true ;
    }

    /**
     * 获取 [特别约定库标识]脏标记
     */
    @JsonIgnore
    public boolean getTBYDKIdDirtyFlag(){
        return this.TBYDKIdDirtyFlag ;
    }

    /**
     * 获取 [车险单标识]
     */
    @JsonProperty("cidid")
    public String getCIDId(){
        return CIDId ;
    }

    /**
     * 设置 [车险单标识]
     */
    @JsonProperty("cidid")
    public void setCIDId(String  cIDId){
        this.CIDId = cIDId ;
        this.CIDIdDirtyFlag = true ;
    }

    /**
     * 获取 [车险单标识]脏标记
     */
    @JsonIgnore
    public boolean getCIDIdDirtyFlag(){
        return this.CIDIdDirtyFlag ;
    }



}
